ID CVE-2017-4966
Summary An issue was discovered in these Pivotal RabbitMQ versions: all 3.4.x versions, all 3.5.x versions, and 3.6.x versions prior to 3.6.9; and these RabbitMQ for PCF versions: all 1.5.x versions, 1.6.x versions prior to 1.6.18, and 1.7.x versions prior to 1.7.15. RabbitMQ management UI stores signed-in user credentials in a browser's local storage without expiration, making it possible to retrieve them using a chained attack.
References
Vulnerable Configurations
  • Pivotal Software RabbitMQ 3.4.0
    cpe:2.3:a:pivotal_software:rabbitmq:3.4.0
  • Pivotal Software RabbitMQ 3.4.1
    cpe:2.3:a:pivotal_software:rabbitmq:3.4.1
  • Pivotal Software RabbitMQ 3.4.2
    cpe:2.3:a:pivotal_software:rabbitmq:3.4.2
  • Pivotal Software RabbitMQ 3.4.3
    cpe:2.3:a:pivotal_software:rabbitmq:3.4.3
  • Pivotal Software RabbitMQ 3.4.4
    cpe:2.3:a:pivotal_software:rabbitmq:3.4.4
  • Pivotal Software RabbitMQ 3.5.0
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.0
  • Pivotal Software RabbitMQ 3.5.1
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.1
  • Pivotal Software RabbitMQ 3.5.2
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.2
  • Pivotal Software RabbitMQ 3.5.3
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.3
  • Pivotal Software RabbitMQ 3.5.4
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.4
  • Pivotal Software RabbitMQ 3.5.5
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.5
  • Pivotal Software RabbitMQ 3.5.6
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.6
  • Pivotal Software RabbitMQ 3.5.7
    cpe:2.3:a:pivotal_software:rabbitmq:3.5.7
  • Pivotal Software RabbitMQ 3.6.0
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.0
  • Pivotal Software RabbitMQ 3.6.1
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.1
  • Pivotal Software RabbitMQ 3.6.2
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.2
  • Pivotal Software RabbitMQ 3.6.3
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.3
  • Pivotal Software RabbitMQ 3.6.4
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.4
  • Pivotal Software RabbitMQ 3.6.5
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.5
  • cpe:2.3:a:pivotal_software:rabbitmq:3.6.6
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.6
  • cpe:2.3:a:pivotal_software:rabbitmq:3.6.7
    cpe:2.3:a:pivotal_software:rabbitmq:3.6.7
  • cpe:2.3:a:pivotal_software:rabbitmq:1.5.19:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.19:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.0 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.0:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.1 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.1:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.2 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.2:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.3 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.3:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.4 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.4:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.5 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.5:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.6 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.6:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.7 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.7:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.8 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.8:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.9 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.9:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.10 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.10:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.11 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.11:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.12 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.12:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.13 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.13:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.14 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.14:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.15 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.15:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.17 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.17:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.5.18 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.5.18:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.0 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.0:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.1 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.1:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.2 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.2:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.3 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.3:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.4 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.4:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.5 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.5:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.6 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.6:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.7 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.7:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.8 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.8:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.9 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.9:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.6.10 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.10:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.6.12:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.12:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.6.13:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.13:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.6.14:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.14:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.6.15:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.15:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.6.16:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.6.16:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.0 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.0:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.2 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.2:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.3 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.3:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.4 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.4:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.5 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.5:-:-:-:-:pivotal_cloud_foundry
  • Pivotal Software RabbitMQ 1.7.6 for Pivotal Cloud Foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.6:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.7:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.7:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.8:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.8:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.9:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.9:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.10:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.10:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.13:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.13:-:-:-:-:pivotal_cloud_foundry
  • cpe:2.3:a:pivotal_software:rabbitmq:1.7.14:-:-:-:-:pivotal_cloud_foundry
    cpe:2.3:a:pivotal_software:rabbitmq:1.7.14:-:-:-:-:pivotal_cloud_foundry
CVSS
Base: 2.1
Impact:
Exploitability:
CWE CWE-255
CAPEC
nessus via4
NASL family CGI abuses
NASL id PIVOTAL_RABBITMQ_MGMT_3_6_9.NASL
description According to its self-reported version, the version of Pivotal RabbitMQ running on the remote web server is 3.4.x, 3.5.x, or 3.6.x prior to 3.6.9. It is, therefore, affected by multiple vulnerabilities : - Multiple cross-site scripting (XSS) vulnerabilities exist in the Management user interface due to improper validation of user-supplied input. An unauthenticated, remote attacker can exploit these, via a specially crafted request, to execute arbitrary script code in a user's browser session. (CVE-2017-4965, CVE-2017-4967) - An information disclosure vulnerability exists in credential caching due to credentials being cached locally in the browser and not expiring. A local attacker can exploit this, via a chained attack, to disclose user credentials. (CVE-2017-4966) Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.
last seen 2019-02-21
modified 2018-07-25
plugin id 100296
published 2017-05-19
reporter Tenable
source https://www.tenable.com/plugins/index.php?view=single&id=100296
title Pivotal RabbitMQ Management Plugin 3.4.x / 3.5.x / 3.6.x < 3.6.9 Multiple Vulnerabilities
refmap via4
confirm https://pivotal.io/security/cve-2017-4966
Last major update 13-06-2017 - 02:29
Published 13-06-2017 - 02:29
Last modified 23-06-2017 - 14:41
Back to Top